> ## Documentation Index
> Fetch the complete documentation index at: https://docs.platnova.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Card

> Retrieve a specific card by ID including balance and status.

## Overview

Retrieve detailed information about a specific card by its ID. This endpoint returns comprehensive card details including balance, status, card information, and metadata.


## OpenAPI

````yaml GET /v1/cards/{id}
openapi: 3.1.0
info:
  title: API
  version: 1.0.0
  description: >-
    Platnova's Business API allows businesses to issue virtual accounts and
    cards to their employees, vendors, or retail customers. It allows businesses
    to streamline the process of issuing cards, manage spending, and track
    transactions. The API documentation provides information on how to integrate
    our virtual card issuing system into a business's existing systems and
    outlines the features and functionalities of the API, including card and
    account creation, management, and reporting. It also provides technical
    specifications, such as API requests, responses, and authentication
    processes.


    The API documentation is intended for developers and IT teams to use in
    order to effectively implement Platnova solutions into their business
    processes.


    # Authentication/Authorization


    To access any of the resources on the `{BaseUrl}/v1/`, the client has to
    pass pre-defined headers for authentication and authorization.


    The API is secure and only authorized clients can consume the service. There
    are API keys assigned to every business and JWT tokens assigned to every
    account for authentication/authorization.


    ## Bearer Token


    Requests may accept jwt tokens as below.


    ``` json

    Authorization: Bearer <jwt token>

     ```

    ## API Key


    Requests may acccept an api key either in the request headers or as a query
    parameter. Some requests cannot be authorized using an API key.


    ``` json

    X-API-KEY: <api key>

     ```

    OR


    ``` json

    ?api-key=<api key>

     ```

    # Base URL


    [https://sandbox.api.platnova.co](https://sandbox.api.platnova.co)


    # Errors


    Unauthorized API key


    ``` json

    {
        "status": false,
        "data": {},
        "error": [],
        "message": "unauthorized access"
    }

     ```

    Permission Denied


    ``` json

    {
        "status": false,
        "data": {},
        "error": [],
        "message": "unauthorized access: permission denied"
    }

     ```
servers:
  - url: https://api.platnova.com
    description: Production server
  - url: https://sandbox.api.platnova.co
    description: Development server
security:
  - apiKeyAuth: []
tags:
  - name: Customer
    description: Create and manage customers
  - name: Virtual Account
    description: Create and manage virtual accounts
  - name: Card
    description: Create and manage cards
  - name: Wallet
    description: List and manage wallets
  - name: Payment
    description: Send and verify payments
  - name: Transaction
    description: List transactions and generate receipts
  - name: Checkout
    description: Create and retrieve checkout sessions
  - name: Payment Link
    description: Create and manage payment links
  - name: Invoice
    description: Create and manage invoices
paths:
  /v1/cards/{id}:
    parameters:
      - name: id
        in: path
        required: true
        example: 18ee492a-617c-4878-958a-2ee08dc20ff4
        schema:
          type: integer
    get:
      tags:
        - Card
      summary: Get card
      description: Retrieve a specific card by ID including balance and status.
      operationId: getCard
      parameters: []
      responses:
        '200':
          headers:
            Access-Control-Allow-Credentials:
              schema:
                type: boolean
              example: 'true'
            Access-Control-Allow-Headers:
              schema:
                type: string
              example: >-
                Content-Type, Content-Length, Accept-Encoding, X-CSRF-Token,
                Authorization, accept, origin, Cache-Control, X-Requested-With,
                Api-Version, Platform
            Access-Control-Allow-Methods:
              schema:
                type: string
              example: POST, OPTIONS, GET, PUT, PATCH, DELETE
            Access-Control-Allow-Origin:
              schema:
                type: string
              example: '*'
            Content-Type:
              schema:
                type: string
              example: application/json
            Date:
              schema:
                type: string
              example: Mon, 08 Sep 2025 20:47:12 GMT
            Content-Length:
              schema:
                type: integer
              example: '636'
          description: 200 - Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: boolean
                  data:
                    type: object
                    properties:
                      id:
                        type: string
                      amount:
                        type: string
                      created_at:
                        type: string
                        format: date-time
                      currency:
                        type: string
                      info:
                        type: object
                        properties:
                          provider_id:
                            type: string
                          provider:
                            type: integer
                          pan:
                            type: string
                          masked_pan:
                            type: string
                          last4:
                            type: string
                          city:
                            type: string
                          state:
                            type: string
                          address:
                            type: string
                          zip_code:
                            type: string
                          cvv:
                            type: string
                          expiry_month:
                            type: string
                          expiry_year:
                            type: string
                          brand:
                            type: string
                          type:
                            type: string
                          name_on_card:
                            type: string
                          colors:
                            nullable: true
                          label:
                            type: string
                          control:
                            type: object
                            properties:
                              limits:
                                nullable: true
                              channels:
                                nullable: true
                          account_provider_id:
                            type: string
                      status:
                        type: string
                      notes:
                        type: string
                      title:
                        type: string
                  error:
                    type: array
                    items: {}
                  message:
                    type: string
              example:
                status: true
                data:
                  id: 18ee492a-617c-4878-958a-2ee08dc20ff4
                  amount: '1904'
                  created_at: '2025-07-22T14:23:40.634516+01:00'
                  currency: ngn
                  info:
                    provider_id: '1234567890'
                    provider: 4
                    pan: ''
                    masked_pan: 489928******2417
                    last4: '2417'
                    city: New York
                    state: NY
                    address: 123 Main St
                    zip_code: '10001'
                    cvv: ''
                    expiry_month: '01'
                    expiry_year: '2026'
                    brand: mastercard
                    type: virtual
                    name_on_card: John Doe
                    colors: null
                    label: General
                    control:
                      limits: null
                      channels: null
                    account_provider_id: ''
                  status: active
                  notes: ''
                  title: General
                error: []
                message: operation was successful
        '400':
          headers:
            Access-Control-Allow-Credentials:
              schema:
                type: boolean
              example: 'true'
            Access-Control-Allow-Headers:
              schema:
                type: string
              example: >-
                Content-Type, Content-Length, Accept-Encoding, X-CSRF-Token,
                Authorization, accept, origin, Cache-Control, X-Requested-With,
                Api-Version, Platform
            Access-Control-Allow-Methods:
              schema:
                type: string
              example: POST, OPTIONS, GET, PUT, PATCH, DELETE
            Access-Control-Allow-Origin:
              schema:
                type: string
              example: '*'
            Content-Type:
              schema:
                type: string
              example: application/json
            Date:
              schema:
                type: string
              example: Mon, 08 Sep 2025 20:47:44 GMT
            Content-Length:
              schema:
                type: integer
              example: '64'
          description: 400 - Card not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: boolean
                  data:
                    type: object
                  error:
                    type: array
                    items: {}
                  message:
                    type: string
              example:
                status: false
                data: {}
                error: []
                message: card not found
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY
      description: API key for authentication.

````